### Method

# Gegl Path calc_values

#### Declaration [src]

    void
    gegl_path_calc_values (
      GeglPath* path,
      guint num_samples,
      gdouble* xs,
      gdouble* ys
    )

#### Description [src]

Compute `num_samples` for a path into the provided arrays `xs` and `ys` the returned values include the start and end positions of the path.

This method is not directly available to language bindings.

#### Parameters

`num_samples`

  Type: `guint`

  Number of samples to compute.

  The argument will be set by the function.

`xs`

  Type: An array of `gdouble`

  Return location for x coordinates.

  The argument will be set by the function.
  The length of the array is specified in the `num_samples` argument.
  The data is owned by the caller of the function.

`ys`

  Type: An array of `gdouble`

  Return location for y coordinates.

  The argument will be set by the function.
  The length of the array is specified in the `num_samples` argument.
  The data is owned by the caller of the function.